
CoCoALib - Feature #11

Bareiss algorithm

20 Oct 2011 14:20 - Anna Maria Bigatti

Status: Closed Start date: 20 Oct 2011

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.51 hour

Target version: CoCoALib-0.99650 November 2019 Spent time: 0.40 hour

Description

Computing the determinant of a matrix using Bareiss algorithm.

Original paper: http://www.ams.org/journals/mcom/1968-22-103/S0025-5718-1968-0226829-0/S0025-5718-1968-0226829-0.pdf

Related issues:

Related to CoCoA-5 - Support #242: CoCoA-5 Projects for students (e.g. credit... In Progress 28 Sep 2012

Related to CoCoALib - Bug #956: determinant: fails for 0x0 matrix (SEGV) Closed 27 Oct 2016

Related to CoCoALib - Slug #691: Matrix determinant over ZZ Closed 29 Apr 2015

History

#1 - 08 Nov 2011 10:55 - Anna Maria Bigatti

- Category set to New Function

#2 - 09 Oct 2012 14:49 - John Abbott

Any progress?

#3 - 19 Oct 2012 14:57 - John Abbott

- Status changed from New to Resolved

#4 - 01 Apr 2014 17:35 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99533 Easter14

#5 - 04 Apr 2014 17:46 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-1.0

#6 - 27 Oct 2016 13:59 - John Abbott

- % Done changed from 0 to 10

What is the status of this issue?

I believe the code is there (and presumably has been active for some time).

#7 - 27 Oct 2016 14:13 - John Abbott

- Related to Bug #956: determinant: fails for 0x0 matrix (SEGV) added

#8 - 03 May 2019 11:39 - John Abbott

- Status changed from Resolved to Closed

- Assignee set to John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99700

- % Done changed from 10 to 100
http://www.ams.org/journals/mcom/1968-22-103/S0025-5718-1968-0226829-0/S0025-5718-1968-0226829-0.pdf


This was done ages ago.  It has been working trouble-free for over 2 years.

Closing.

#9 - 03 May 2019 11:39 - John Abbott

- Related to Slug #691: Matrix determinant over ZZ added

#10 - 10 Oct 2019 18:45 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99650 November 2019

- Estimated time set to 0.51 h
